org.eclipse.incquery.runtime.base.core

## Class NavigationHelperSetting

- java.lang.Object
- - org.eclipse.incquery.runtime.base.core.NavigationHelperSetting

- All Implemented Interfaces:
    org.eclipse.emf.ecore.EStructuralFeature.Setting

      public class NavigationHelperSetting
      extends java.lang.Object
      implements org.eclipse.emf.ecore.EStructuralFeature.Setting

  EStructuralFeature.Setting implementation for the NavigationHelper.
  Author:
    Tamás Szabó

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationHelperSetting()`
    `NavigationHelperSetting(org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EObject holder, java.lang.Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(boolean resolve)`
    `org.eclipse.emf.ecore.EObject` | `getEObject()`
    `org.eclipse.emf.ecore.EStructuralFeature` | `getEStructuralFeature()`
    `boolean` | `isSet()`
    `void` | `set(java.lang.Object newValue)`
    `java.lang.String` | `toString()`
    `void` | `unset()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationHelperSetting

          public NavigationHelperSetting()

    - #### NavigationHelperSetting

          public NavigationHelperSetting(org.eclipse.emf.ecore.EStructuralFeature feature,
                                         org.eclipse.emf.ecore.EObject holder,
                                         java.lang.Object value)

  - ### Method Detail

    - #### getEObject

          public org.eclipse.emf.ecore.EObject getEObject()

      Specified by:
        `getEObject` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`

    - #### getEStructuralFeature

          public org.eclipse.emf.ecore.EStructuralFeature getEStructuralFeature()

      Specified by:
        `getEStructuralFeature` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`

    - #### get

          public java.lang.Object get(boolean resolve)

      Specified by:
        `get` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`

    - #### set

          public void set(java.lang.Object newValue)

      Specified by:
        `set` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`

    - #### isSet

          public boolean isSet()

      Specified by:
        `isSet` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`

    - #### unset

          public void unset()

      Specified by:
        `unset` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`